---
# Path to extra kolla-ansible configuration files.
kolla_extra_config_path:

# Directory where Kolla custom configuration files will be installed.
kolla_node_custom_config_path: /etc/kolla/config

###############################################################################
# Global configuration.

# Free form extra configuration to append to global.conf.
kolla_extra_global:

###############################################################################
# Aodh configuration.

# Whether to enable Aodh.
kolla_enable_aodh:

# Free form extra configuration to append to aodh.conf.
kolla_extra_aodh:

###############################################################################
# Barbican configuration.

# Whether to enable Barbican.
kolla_enable_barbican:

# Free form extra configuration to append to barbican.conf.
kolla_extra_barbican:

###############################################################################
# Blazar configuration.

# Whether to enable Blazar.
kolla_enable_blazar:

# Free form extra configuration to append to blazar.conf.
kolla_extra_blazar:

###############################################################################
# Ceilometer configuration.

# Whether to enable Ceilometer.
kolla_enable_ceilometer:

# Free form extra configuration to append to ceilometer.conf.
kolla_extra_ceilometer:

###############################################################################
# cinder configuration.

# Whether to enable cinder.
kolla_enable_cinder:

# Free form extra configuration to append to cinder.conf.
kolla_extra_cinder:

###############################################################################
# CloudKitty configuration.

# Whether to enable CloudKitty.
kolla_enable_cloudkitty:

# Free form extra configuration to append to cloudkitty.conf.
kolla_extra_cloudkitty:

###############################################################################
# designate configuration.

# Whether to enable designate.
kolla_enable_designate:

# Free form extra configuration to append to designate.conf.
kolla_extra_designate:

###############################################################################
# Glance configuration.

# Whether to enable Glance.
kolla_enable_glance:

# Free form extra configuration to append to glance-api.conf and
# glance-registry.conf.
kolla_extra_glance:

###############################################################################
# Gnocchi configuration.

# Whether to enable Gnocchi.
kolla_enable_gnocchi:

# Free form extra configuration to append to gnocchi.conf.
kolla_extra_gnocchi:

###############################################################################
# Grafana configuration.

# Whether to enable Grafana.
kolla_enable_grafana:

# Name of the admin user for Grafana.
grafana_local_admin_user_name:

# Free form extra configuration to append to grafana.ini.
kolla_extra_grafana:

###############################################################################
# HAProxy configuration.

# Whether to enable HAProxy.
kolla_enable_haproxy:

###############################################################################
# Keystone configuration.

# Whether to enable Keystone.
kolla_enable_keystone:

# Free form extra configuration to append to Keystone.conf
kolla_extra_keystone:

##############################################################################
# Heat configuration.

# Whether to enable Heat.
kolla_enable_heat:

# Free form extra configuration to append to heat.conf.
kolla_extra_heat:

###############################################################################
# Horizon configuration.

# Whether to enable Horizon.
kolla_enable_horizon:

###############################################################################
# InfluxDB configuration.

# Whether to enable InfluxDB.
kolla_enable_influxdb:

###############################################################################
# Ironic configuration.

# Whether to enable Ironic.
kolla_enable_ironic:

# List of enabled Ironic drivers.
kolla_ironic_drivers:
  - agent_ssh
  - agent_ipmitool
  - pxe_ssh
  - pxe_ipmitool

# Specify the list of hardware types to load during service initialization.
kolla_ironic_enabled_hardware_types: []

# Specify the list of bios interfaces to load during service initialization.
kolla_ironic_enabled_bios_interfaces: []

# Default bios interface to be used for nodes that do not have bios_interface
# field set.
kolla_ironic_default_bios_interface:

# Specify the list of boot interfaces to load during service initialization.
kolla_ironic_enabled_boot_interfaces: []

# Default boot interface to be used for nodes that do not have boot_interface
# field set.
kolla_ironic_default_boot_interface:

# Specify the list of console interfaces to load during service initialization.
kolla_ironic_enabled_console_interfaces: []

# Default console interface to be used for nodes that do not have
# console_interface field set.
kolla_ironic_default_console_interface:

# Specify the list of deploy interfaces to load during service initialization.
kolla_ironic_enabled_deploy_interfaces: []

# Default deploy interface to be used for nodes that do not have
# deploy_interface field set.
kolla_ironic_default_deploy_interface:

# Specify the list of inspect interfaces to load during service initialization.
kolla_ironic_enabled_inspect_interfaces: []

# Default inspect interface to be used for nodes that do not have
# inspect_interface field set.
kolla_ironic_default_inspect_interface:

# Specify the list of management interfaces to load during service
# initialization.
kolla_ironic_enabled_management_interfaces: []

# Default management interface to be used for nodes that do not have
# management_interface field set.
kolla_ironic_default_management_interface:

# Specify the list of network interfaces to load during service initialization.
kolla_ironic_enabled_network_interfaces: []

# Default network interface to be used for nodes that do not have
# network_interface field set.
kolla_ironic_default_network_interface:

# Specify the list of power interfaces to load during service initialization.
kolla_ironic_enabled_power_interfaces: []

# Default power interface to be used for nodes that do not have power_interface
# field set.
kolla_ironic_default_power_interface:

# Specify the list of raid interfaces to load during service initialization.
kolla_ironic_enabled_raid_interfaces: []

# Default raid interface to be used for nodes that do not have
# raid_interface field set.
kolla_ironic_default_raid_interface:

# Specify the list of rescue interfaces to load during service initialization.
kolla_ironic_enabled_rescue_interfaces: []

# Default rescue interface to be used for nodes that do not have
# rescue_interface field set.
kolla_ironic_default_rescue_interface:

# Specify the list of storage interfaces to load during
# service initialization.
kolla_ironic_enabled_storage_interfaces: []

# Default storage interface to be used for nodes that do not
# have storage_interface field set.
kolla_ironic_default_storage_interface:

# Specify the list of vendor interfaces to load during service initialization.
kolla_ironic_enabled_vendor_interfaces: []

# Default vendor interface to be used for nodes that do not have
# vendor_interface field set.
kolla_ironic_default_vendor_interface:

# Name or UUID of the Neutron network to use for cleaning.
kolla_ironic_cleaning_network:

# Name or UUID of the Neutron network to use for provisioning.
kolla_ironic_provisioning_network:

# List of additional append parameters for baremetal PXE boot.
kolla_ironic_pxe_append_params: []

# Free form extra configuration to append to ironic.conf.
kolla_extra_ironic:

###############################################################################
# Ironic inspector configuration.

# Comma-separated list of inspector processing plugins.
kolla_inspector_processing_hooks:

# Which MAC addresses to add as ports during introspection. One of 'all',
# 'active' or 'pxe'.
kolla_inspector_add_ports:

# Which ports to keep after introspection. One of 'all', 'present', or 'added'.
kolla_inspector_keep_ports:

# Whether to enable discovery of nodes not managed by Ironic.
kolla_inspector_enable_discovery:

# The Ironic driver with which to register newly discovered nodes.
kolla_inspector_discovery_enroll_node_driver:

# URL of Ironic Python Agent (IPA) kernel image for Ironic Inspector.
# Mutually exclusive with kolla_inspector_ipa_kernel_path.
kolla_inspector_ipa_kernel_upstream_url:

# URL of checksum of Ironic Python Agent (IPA) kernel image for Ironic
# inspector. Mutually exclusive with kolla_inspector_ipa_kernel_path.
kolla_inspector_ipa_kernel_checksum_url:

# Algorithm of checksum of Ironic Python Agent (IPA) kernel image for Ironic
# inspector. Mutually exclusive with kolla_inspector_ipa_kernel_path.
kolla_inspector_ipa_kernel_checksum_algorithm:

# URL of Ironic Python Agent (IPA) ramdisk image for Ironic Inspector.
# Mutually exclusive with kolla_inspector_ipa_ramdisk_path.
kolla_inspector_ipa_ramdisk_upstream_url:

# URL of checksum of Ironic Python Agent (IPA) ramdisk image for Ironic
# Inspector. Mutually exclusive with kolla_inspector_ipa_ramdisk_path.
kolla_inspector_ipa_ramdisk_checksum_url:

# Algorithm of checksum of Ironic Python Agent (IPA) ramdisk image for Ironic
# Inspector. Mutually exclusive with kolla_inspector_ipa_ramdisk_path.
kolla_inspector_ipa_ramdisk_checksum_algorithm:

# Path to Ironic Python Agent (IPA) kernel image for Ironic Inspector.
# Mutually exclusive with kolla_inspector_ipa_kernel_upstream_url.
kolla_inspector_ipa_kernel_path:

# Path to Ironic Python Agent (IPA) ramdisk image for Ironic Inspector.
# Mutually exclusive with kolla_inspector_ipa_ramdisk_upstream_url.
kolla_inspector_ipa_ramdisk_path:

# Whether to enable the Swift introspection data store.
kolla_inspector_enable_swift:

# Dict of authentication parameters for accessing the Swift introspection data
# store.
kolla_inspector_swift_auth: {}

# Free form extra configuration to append to ironic-inspector.conf.
kolla_extra_inspector:

###############################################################################
# Magnum configuration.

# Whether to enable Magnum.
kolla_enable_magnum:

# Free form extra configuration to append to magnum.conf.
kolla_extra_magnum:

###############################################################################
# Mariabackup configuration.

# Whether to enable Mariabackup.
kolla_enable_mariabackup:

# Free form extra configuration to append to backup.my.cnf.
kolla_extra_mariabackup:

###############################################################################
# MariaDB configuration.

# Whether to enable MariaDB.
kolla_enable_mariadb:

# Free form extra configuration to append to galera.cnf.
kolla_extra_mariadb:

###############################################################################
# Manila configuration.

# Whether to enable Manila.
kolla_enable_manila:

###############################################################################
# Masakari configuration.

# Whether to enable Masakari.
kolla_enable_masakari:

# Free form extra configuration to append to masakari.conf.
kolla_extra_masakari:

###############################################################################
# Multipathd configuration.

# Whether to enable Multipathd.
kolla_enable_multipathd:

# Free form extra configuration to append to multipath.conf.
kolla_extra_multipathd:

###############################################################################
# Murano configuration.

# Whether to enable Murano.
kolla_enable_murano:

# Free form extra configuration to append to murano.conf.
kolla_extra_murano:

###############################################################################
# Neutron configuration.

# Whether to enable Neutron.
kolla_enable_neutron:

# List of Neutron ML2 mechanism drivers to use.
kolla_neutron_ml2_mechanism_drivers: []

# List of Neutron ML2 network VLAN ranges to use. Each item should be a dict
# containing the following items:
# physical_network: The physical network
# range: Range of allowed VLANs on this physical network (min:max, (optional)
kolla_neutron_ml2_network_vlan_ranges: []

# List of Neutron ML2 extention drivers to use.
kolla_neutron_ml2_extension_drivers: []

# List of switches to configure for use by genericswitch ML2 mechanism driver.
# Each item should be a dict containing the following items;
# name: Hostname of the switch
# ip: IP address on which to reach the switch
# username: SSH username
# password: SSH password (optional)
# key_file: SSH key file (optional)
# secret: SSH secret (optional)
kolla_neutron_ml2_generic_switches: []

# List of Ansible hosts representing switches to configure for use by
# genericswitch ML2 mechanism driver. These switches will be appended to
# kolla_neutron_ml2_generic_switches and their configuration will be determined
# by the following host variables:
# name: inventory_hostname
# ip: ansible_host
# username: ansible_user
# password: ansible_ssh_password
# key_file: not currently supported
# secret: not currently supported
kolla_neutron_ml2_generic_switch_hosts: []

# Free form extra configuration to append to neutron.conf.
kolla_extra_neutron:

# Free form extra configuration to append to ml2_conf.ini.
kolla_extra_neutron_ml2:

###############################################################################
# Nova configuration.

# Whether to enable Nova.
kolla_enable_nova:

# Whether to enable Nova libvirt container.
kolla_enable_nova_libvirt_container:

# Free form extra configuration to append to nova.conf.
kolla_extra_nova:

# Whether libvirt TLS is enabled.
kolla_libvirt_tls:

# Directory containing libvirt certificates for nova-compute when running
# libvirt on the host.
kolla_nova_libvirt_certificates_src:

###############################################################################
# Octavia configuration.

# Whether to enable Octavia.
kolla_enable_octavia:

###############################################################################
# OpenSearch configuration.

# Whether to enable opensearch.
kolla_enable_opensearch:

###############################################################################
# Placement configuration.

# Whether to enable placement.
kolla_enable_placement:

# Free form extra configuration to append to placement.conf.
kolla_extra_placement:

###############################################################################
# Prometheus configuration.

# Whether to enable Prometheus.
kolla_enable_prometheus:

###############################################################################
# RabbitMQ configuration.

# Whether to enable RabbitMQ.
kolla_enable_rabbitmq:

###############################################################################
# Sahara configuration.

# Whether to enable sahara.
kolla_enable_sahara:

# Free form extra configuration to append to sahara.conf.
kolla_extra_sahara:

###############################################################################
# Swift configuration.

# Whether to enable swift.
kolla_enable_swift:
